summaryrefslogtreecommitdiff
path: root/configs/lxde-multi/root-image/etc/lxdm
diff options
context:
space:
mode:
Diffstat (limited to 'configs/lxde-multi/root-image/etc/lxdm')
-rwxr-xr-xconfigs/lxde-multi/root-image/etc/lxdm/LoginReady3
-rwxr-xr-xconfigs/lxde-multi/root-image/etc/lxdm/PostLogin3
-rwxr-xr-xconfigs/lxde-multi/root-image/etc/lxdm/PostLogout3
-rwxr-xr-xconfigs/lxde-multi/root-image/etc/lxdm/PreLogin3
-rwxr-xr-xconfigs/lxde-multi/root-image/etc/lxdm/PreReboot3
-rwxr-xr-xconfigs/lxde-multi/root-image/etc/lxdm/PreShutdown3
-rwxr-xr-xconfigs/lxde-multi/root-image/etc/lxdm/Xsession48
-rw-r--r--configs/lxde-multi/root-image/etc/lxdm/lxdm.conf55
-rw-r--r--configs/lxde-multi/root-image/etc/lxdm/parabola_lxdm_final.pngbin0 -> 761451 bytes
9 files changed, 121 insertions, 0 deletions
diff --git a/configs/lxde-multi/root-image/etc/lxdm/LoginReady b/configs/lxde-multi/root-image/etc/lxdm/LoginReady
new file mode 100755
index 0000000..b6e4239
--- /dev/null
+++ b/configs/lxde-multi/root-image/etc/lxdm/LoginReady
@@ -0,0 +1,3 @@
+#!/bin/sh
+#
+# Note: this is a sample and will not be run as is.
diff --git a/configs/lxde-multi/root-image/etc/lxdm/PostLogin b/configs/lxde-multi/root-image/etc/lxdm/PostLogin
new file mode 100755
index 0000000..b6e4239
--- /dev/null
+++ b/configs/lxde-multi/root-image/etc/lxdm/PostLogin
@@ -0,0 +1,3 @@
+#!/bin/sh
+#
+# Note: this is a sample and will not be run as is.
diff --git a/configs/lxde-multi/root-image/etc/lxdm/PostLogout b/configs/lxde-multi/root-image/etc/lxdm/PostLogout
new file mode 100755
index 0000000..b6e4239
--- /dev/null
+++ b/configs/lxde-multi/root-image/etc/lxdm/PostLogout
@@ -0,0 +1,3 @@
+#!/bin/sh
+#
+# Note: this is a sample and will not be run as is.
diff --git a/configs/lxde-multi/root-image/etc/lxdm/PreLogin b/configs/lxde-multi/root-image/etc/lxdm/PreLogin
new file mode 100755
index 0000000..b6e4239
--- /dev/null
+++ b/configs/lxde-multi/root-image/etc/lxdm/PreLogin
@@ -0,0 +1,3 @@
+#!/bin/sh
+#
+# Note: this is a sample and will not be run as is.
diff --git a/configs/lxde-multi/root-image/etc/lxdm/PreReboot b/configs/lxde-multi/root-image/etc/lxdm/PreReboot
new file mode 100755
index 0000000..b6e4239
--- /dev/null
+++ b/configs/lxde-multi/root-image/etc/lxdm/PreReboot
@@ -0,0 +1,3 @@
+#!/bin/sh
+#
+# Note: this is a sample and will not be run as is.
diff --git a/configs/lxde-multi/root-image/etc/lxdm/PreShutdown b/configs/lxde-multi/root-image/etc/lxdm/PreShutdown
new file mode 100755
index 0000000..b6e4239
--- /dev/null
+++ b/configs/lxde-multi/root-image/etc/lxdm/PreShutdown
@@ -0,0 +1,3 @@
+#!/bin/sh
+#
+# Note: this is a sample and will not be run as is.
diff --git a/configs/lxde-multi/root-image/etc/lxdm/Xsession b/configs/lxde-multi/root-image/etc/lxdm/Xsession
new file mode 100755
index 0000000..ebc2ff7
--- /dev/null
+++ b/configs/lxde-multi/root-image/etc/lxdm/Xsession
@@ -0,0 +1,48 @@
+#!/bin/bash
+
+# use bash for "exec -l", howto run login shell by /bin/sh ?
+
+if [ $# -eq 1 -a -n "$1" ]; then
+ LXSESSION=$1
+else
+# default session
+ LXSESSION=/usr/bin/startlxde
+fi
+
+[ -f /etc/profile ] && . /etc/profile
+[ -f ~/.profile ] && . ~/.profile
+[ -f /etc/xprofile ] && . /etc/xprofile
+[ -f ~/.xprofile ] && . ~/.xprofile
+
+if [ -f /etc/X11/xinit/xinitrc-common ]; then
+# fedora
+ . /etc/X11/xinit/xinitrc-common
+ if ! [ -z "$XDG_SESSION_COOKIE" ]; then
+ CK_XINIT_SESSION=
+ elif [ -x /usr/bin/ck-launch-session -a -z "$CK_XINIT_SESSION" ]; then
+ CK_XINIT_SESSION="/usr/bin/ck-launch-session"
+ fi
+ exec -l $SHELL -c "$CK_XINIT_SESSION \"$LXSESSION\""
+elif [ -x /etc/X11/xinit/Xsession ]; then
+# fedora
+ exec /etc/X11/xinit/Xsession "$LXSESSION"
+elif [ -x /etc/X11/Xsession ]; then
+# mandriva, debian, ubuntu
+ exec /etc/X11/Xsession "$LXSESSION"
+elif [ -x /etc/X11/xinit/xinitrc ]; then
+#suse
+ export WINDOWMANAGER=$LXSESSION
+ exec -l $SHELL -c /etc/X11/xinit/xinitrc
+else
+# unknown, user should custom /etc/lxdm/xinitrc self
+ if [ -x /etc/lxdm/xinitrc ]; then
+ . /etc/lxdm/xinitrc
+ fi
+ if ! [ -z "$XDG_SESSION_COOKIE" ]; then
+ CK_XINIT_SESSION=
+ elif [ -x /usr/bin/ck-launch-session ]; then
+ CK_XINIT_SESSION="/usr/bin/ck-launch-session"
+ fi
+ exec -l $SHELL -c "$CK_XINIT_SESSION \"$LXSESSION\""
+fi
+
diff --git a/configs/lxde-multi/root-image/etc/lxdm/lxdm.conf b/configs/lxde-multi/root-image/etc/lxdm/lxdm.conf
new file mode 100644
index 0000000..bdf4ee1
--- /dev/null
+++ b/configs/lxde-multi/root-image/etc/lxdm/lxdm.conf
@@ -0,0 +1,55 @@
+[base]
+## uncomment and set autologin username to enable autologin
+# autologin=dgod
+
+## uncomment and set timeout to enable timeout autologin,
+## the value should >=5
+# timeout=10
+
+## default session or desktop used when no systemwide config
+# session=/usr/bin/startlxde
+
+## uncomment and set to set numlock on your keyboard
+# numlock=0
+
+## set this if you don't want to put xauth file at ~/.Xauthority
+# xauth_path=/tmp
+
+## greeter used to welcome the user
+greeter=/usr/lib/lxdm/lxdm-greeter-gtk
+
+[server]
+## arg used to start xserver, not fully function
+# arg=/usr/bin/X -background vt1
+
+[display]
+## gtk theme used by greeter
+gtk_theme=Clearlooks
+
+## background of the greeter
+bg=/etc/lxdm/parabola_lxdm_final.png
+
+## if show bottom pane
+bottom_pane=1
+
+## if show language select control
+lang=1
+
+## if show keyboard layout select control
+keyboard=1
+
+## the theme of greeter
+theme=Industrial
+
+[input]
+
+[userlist]
+## if disable the user list control at greeter
+disable=0
+
+## whitelist user
+white=
+
+## blacklist user
+black=
+
diff --git a/configs/lxde-multi/root-image/etc/lxdm/parabola_lxdm_final.png b/configs/lxde-multi/root-image/etc/lxdm/parabola_lxdm_final.png
new file mode 100644
index 0000000..e9f7839
--- /dev/null
+++ b/configs/lxde-multi/root-image/etc/lxdm/parabola_lxdm_final.png
Binary files differ